{ ... }: {
  imports = [
    # Base configs
    ./default.nix

    # Users and groups
    ./accounts

    # Modules
    ./modules/security/doas

    # Services
    ./services/acme
    ./services/ddclient
    ./services/fileserver
    ./services/firewall/server
    ./services/forgejo
    ./services/icecast
    ./services/mailserver
    ./services/minecraft
    ./services/misc/server
    ./services/mysql
    ./services/nginx
    ./services/social
    ./services/ssh
    ./services/transmission
    ./services/vaultwarden
    ./services/wireguard/server
  ];

  environment.systemPackages = with pkgs; [
    mdadm
  ];
}
